## phnxdeco 0.33

=== src/Makefile ===
#
# Main Makefile
# (c) 2002
#

MAKE = make

phnxdeco:
	DEMO=""
	gcc -DDEBUG $(DEMO) phnxdeco.c phnxfunc.o kernel.o -s -fpack-struct -o phnxdeco

phnxdeco-demo:
	DEMO=1
	gcc -DDEBUG=$(DEMO) phnxdeco.c phnxfunc.o kernel.o -s -fpack-struct -o phnxdeco-demo

phnxfunc:
	gcc phnxfunc.c -c -o phnxfunc.o -fpack-struct

kernel:
	gcc kernel.c -c -o kernel.o -fpack-struct

clean: 
	rm -f *.o
	rm -f phnxdeco

rebuild:
	make clean
	make phnxfunc
	make kernel
	make phnxdeco

rebuild-demo:
	make clean
	make phnxdeco-demo

=== debian/changelog ===
phnxdeco (0.33-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0 (Closes: #1007542).
  * Drop FreeBSD patch.

  [ Arthur Marble ]
  * Fix FTBFS with clang: "wrong main declaration" (Closes: #748630).

  [ Nilesh Patra ]
  * Replace hardcoded gcc with $(CC) (Closes: #989391).

 -- Bastian Germann <bage@debian.org>  Sun, 09 Jun 2024 15:05:53 +0000

phnxdeco (0.33-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/compat: 5 -> 7. (Closes: #965775)

 -- Adrian Bunk <bunk@debian.org>  Tue, 04 Jan 2022 16:26:07 +0200

phnxdeco (0.33-3) unstable; urgency=low

  * Install the binary in /usr/bin, not /bin.
  * Standards-Version: 3.7.3 (no changes required).
  * debian/control: Add Homepage field.
  * Honor the 'nostrip' build option (Closes: #437771).

 -- Uwe Hermann <uwe@debian.org>  Sat, 09 Feb 2008 23:49:54 +0100

phnxdeco (0.33-2) unstable; urgency=low

  * Fix FTBFS on GNU/kFreeBSD (Closes: #415135).
    Thanks Cyril Brulebois <cyril.brulebois@enst-bretagne.fr> for the patch.
  * Bugfix in phnxhelp.h (reported by upstream author).

 -- Uwe Hermann <uwe@debian.org>  Sun, 08 Apr 2007 02:48:41 +0200

phnxdeco (0.33-1) unstable; urgency=low

  * Initial release (Closes: #385128).
  * I wrote a manpage for phnxdeco, as there was none upstream.

 -- Uwe Hermann <uwe@debian.org>  Sat,  2 Sep 2006 17:25:37 +0200

=== debian/control ===
Source: phnxdeco
Section: utils
Priority: optional
Maintainer: Uwe Hermann <uwe@debian.org>
Build-Depends: cdbs, debhelper (>= 7)
Standards-Version: 3.7.3
Homepage: http://www.kaos.ru/biosgfx/

Package: phnxdeco
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Decompress flashfiles equipped with a PHOENIX BIOS
 Phnxdeco is a program which can decompress BIOS images which
 contain a PHOENIX BIOS.

=== debian/rules ===
#!/usr/bin/make -f
  
DEB_INSTALL_MANPAGES_phnxdeco := debian/phnxdeco.1

include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk

DEB_BUILDDIR := src
DEB_MAKE_MAKEFILE := Makefile
